' TripleSix's WebCam tracker script
' v1.0
'
' Input fields are:
' - URL       : URL to image
' - ImageFile : Filename to save (incl path)
'
' This script is designed for retrieving images from the internet and show them in a Image meter
' It can also retrieve any other kind of binary data from the net. 
' You might want to clear the Display Text box to keep the transfer results hidden
'
' Make sure your samurize image refresh interval matches the webpage refresh interval (if any)


Function WebImage(URL, ImageFile)
    On Error Resume Next

    Set Http       = CreateObject("WinHttp.WinHttpRequest.5.1")
    Set FileStream = CreateObject("Adodb.Stream")

    Http.Open "GET", URL, False
    Http.Send
    Http.WaitForResponse(60)
    If Err.Number Then
        WebImage = "Error encountered!"
        Err.Clear
    Else
        FileStream.Type = 1
        FileStream.Open
        FileStream.Write Http.ResponseBody
        FileStream.SaveToFile ImageFile, 2
        FileStream.Close
        WebImage = "Transfer successful!"
    End If
End Function